Bug 5348 - Disk Toshiba Mk 2109 not supported
Disk Toshiba Mk 2109 not supported
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Erik Troan
Depends On:
  Show dependency treegraph
Reported: 1999-09-24 09:02 EDT by carmona
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-08 18:15:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description carmona 1999-09-24 09:02:35 EDT
fdisk cannot partition correctly the Toshiba Mk2109 (2.5"
HD Drive ATA-4, 4200 cylinders, 16 heads, 63 sectors). I
boot with the arguments hda=4200,16,63 and fdisk gives the
correct info with p command.

I create partition (whatever their size) with fdisk without
problems BUT as soon as write the results and enters again
in fdisk I get an error (for a partition going starting
at cylinder x and ending at cylinder y):

Partition N does not end on cylinder boundary:
phys=(y-2,14,63) should be (y-2,15,63)

fdisk behave like if it badly manages the last head and
stops 2 cylinders before the end. Worse, if y > 1024 then
the previous message becomes whatever y is:

Partition N does not end on cylinder boundary:
phys=(1022,14,63) should be (1022,15,63)

I tried to change the heads number to 15 within the extended
mode of fdisk but it still gives the same error but at heads
13 instead of 14.

Even stranger when using the redhat installation
mount the partition and write to it as soon as
I reboot the computer, I completely loose the partition:
it is completely corrupted (not even recognized as an ext2

The problem is only for the Mk2109 as fdisk succeeds to
partition a Toshiba Mk 2104 2.5 " disk (4200 cylinders, 16
heads, 63 sectors) with the same hardware configuration.

Thanks for your help,
Comment 1 carmona 1999-11-25 06:10:59 EST
Same problem under RedHat 6.1.
Comment 2 Erik Troan 2001-02-08 18:15:50 EST
I'm going to assume this is fixed by now. Let me know if it's not.

Note You need to log in before you can comment on or make changes to this bug.